# Method: locations.getBusinesscallssettings

- [HTTP request](https://developers.google.com/my-business/reference/businesscalls/rest/v1/locations/getBusinesscallssettings#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/my-business/reference/businesscalls/rest/v1/locations/getBusinesscallssettings#body.PATH_PARAMETERS)
- [Request body](https://developers.google.com/my-business/reference/businesscalls/rest/v1/locations/getBusinesscallssettings#body.request_body)
- [Response body](https://developers.google.com/my-business/reference/businesscalls/rest/v1/locations/getBusinesscallssettings#body.response_body)
- [Authorization Scopes](https://developers.google.com/my-business/reference/businesscalls/rest/v1/locations/getBusinesscallssettings#body.aspect)

Returns the Business calls settings resource for the given location.

### HTTP request

`GET https://mybusinessbusinesscalls.googleapis.com/v1/{name=locations/*/businesscallssettings}`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `name` | `string` Required. The BusinessCallsSettings to get. The `name` field is used to identify the business call settings to get. Format: locations/{locationId}/businesscallssettings. |

### Request body

The request body must be empty.

### Response body

If successful, the response body contains an instance of `https://developers.google.com/my-business/reference/businesscalls/rest/v1/BusinessCallsSettings`.

### Authorization Scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/business.manage`

For more information, see the [OAuth 2.0 Overview](https://developers.google.com/identity/protocols/OAuth2).